(Adobe creative cloud connected) What version of adobe illustrator do I need to work with the Moleskine extension?

The Moleskine Illustrator Extension works with Adobe Illustrator CC 2019. Back to FAQ
Did not find what you needed?

Did not find what you needed?

Get support by email.
CONTACT US